require "rbconfig.rb"
require 'fileutils'
include Config

if ARGV[0]
   prefix = ARGV[0]
   libdir = prefix+"/lib/ruby/"+CONFIG["MAJOR"]+"."+CONFIG["MINOR"]+'/numru'
   bindir = prefix+"/bin"
else
   libdir = CONFIG["sitelibdir"] + '/numru'
   bindir = CONFIG["bindir"]
end
FileUtils.makedirs(libdir+'/gpv') if ! File.exist?(libdir+'/gpv')
FileUtils.makedirs(bindir) if ! File.exist?(bindir)

FileUtils.install( 'gpv.rb', libdir, {:mode => 0644, :verbose => true})
Dir.glob("lib/*.rb").each do |f|
  FileUtils.install( f, libdir+'/gpv', {:mode => 0644, :verbose => true})
end

FileUtils.install( 'bin/gpv2nc.rb', bindir+'/gpv2nc', {:mode => 0755, :verbose => true})
